## gate.util
Class TestTemplate

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.util.TestTemplate

All Implemented Interfaces:
  junit.framework.Test

public class TestTemplate
extends junit.framework.TestCase

Template test class - to add a new part of the test suite:

- copy this class and change "Template" to the name of the new tests;
- add a line to TestGate.java in the suite method referencing your new class;
- add test methods to this class.

Constructor Summary
`TestTemplate(String name)` Construction

Method Summary
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests.
`void` `testSomething()` A test

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestTemplate

    public TestTemplate(String name)

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests.

### testSomething

    public void testSomething()
                       throws Exception

  A test

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner